Bug 850101 - Introduce new systemd-rpm macros in ejabberd spec file
Introduce new systemd-rpm macros in ejabberd spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:35 EDT by Lukáš Nykrýn
Modified: 2013-11-10 01:54 EST (History)
3 users (show)

See Also:
Fixed In Version: couchdb-1.3.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:35:03 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Peter Lemenkov 2013-01-22 08:48:59 EST
WONTFIX (I need these patches to be available in all supported Fedora releases forst).
Comment 2 Fedora Update System 2013-09-16 06:37:51 EDT
ejabberd-2.1.13-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-3.fc20
Comment 3 Fedora Update System 2013-09-16 12:00:54 EDT
ejabberd-2.1.13-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc20
Comment 4 Fedora Update System 2013-09-16 12:01:44 EDT
ejabberd-2.1.13-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-4.fc19
Comment 5 Fedora Update System 2013-10-26 08:14:26 EDT
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-6.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc19,couchdb-1.3.1-3.fc19,wings-1.4.1-8.git9a2473e.fc19,erlang-js-1.2.2-3.fc19,erlang-esdl-1.3.1-2.fc19,erlang-esasl-0.1-13.20120116git665cc80.fc19,erlang-erlsyslog-0.6.2-4.fc19,erlang-R16B-02.3.fc19
Comment 6 Fedora Update System 2013-10-26 08:15:20 EDT
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
Comment 7 Fedora Update System 2013-10-26 14:48:12 EDT
Package couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.3.1-3.fc20 erlang-erlsyslog-0.6.2-4.fc20 erlang-esasl-0.1-13.20120116git665cc80.fc20 erlang-esdl-1.3.1-2.fc20 erlang-js-1.2.2-3.fc20 ejabberd-2.1.13-6.fc20 erlang-R16B-02.3.fc20 wings-1.4.1-8.git9a2473e.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20029/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-06 02:30:23 EST
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-7.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19, riak-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-11-10 01:54:09 EST
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-7.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20, riak-1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.